## org.exist.util.serializer
Class SAXSerializer

    java.lang.Object
      org.exist.util.serializer.SAXSerializer

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.ext.LexicalHandler, Receiver

public class SAXSerializer
extends java.lang.Object
implements org.xml.sax.ContentHandler, org.xml.sax.ext.LexicalHandler, Receiver

Constructor Summary
`SAXSerializer()`
`SAXSerializer(java.io.Writer writer, java.util.Properties outputProperties)`

Method Summary
`void` `attribute(QName qname, java.lang.String value)`
`void` `cdataSection(char[] ch, int start, int len)`
`void` `characters(char[] ch, int start, int len)`
`void` `characters(java.lang.CharSequence seq)`
`void` `comment(char[] ch, int start, int len)`
`void` `documentType(java.lang.String name, java.lang.String publicId, java.lang.String systemId)`
`void` `endCDATA()`
`void` `endDocument()`
`void` `endDTD()`
`void` `endElement(QName qname)`
`void` `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qname)`
`void` `endEntity(java.lang.String arg0)`
`void` `endPrefixMapping(java.lang.String prefix)`
`java.io.Writer` `getWriter()`
`void` `ignorableWhitespace(char[] ch, int start, int len)`
`void` `processingInstruction(java.lang.String target, java.lang.String data)`
`void` `reset()`
`void` `setDocumentLocator(org.xml.sax.Locator arg0)`
`void` `setOutput(java.io.Writer writer, java.util.Properties properties)`
`void` `setReceiver(XMLWriter receiver)`
`void` `skippedEntity(java.lang.String arg0)`
`void` `startCDATA()`
`void` `startDocument()`
`void` `startDTD(java.lang.String arg0, java.lang.String arg1, java.lang.String arg2)`
`void` `startElement(QName qname, AttrList attribs)`
`void` `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qname, org.xml.sax.Attributes attribs)`
`void` `startEntity(java.lang.String arg0)`
`void` `startPrefixMapping(java.lang.String prefix, java.lang.String namespaceURI)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXSerializer

    public SAXSerializer()

### SAXSerializer

    public SAXSerializer(java.io.Writer writer,
                         java.util.Properties outputProperties)

Method Detail

### setOutput

    public void setOutput(java.io.Writer writer,
                          java.util.Properties properties)

### getWriter

    public java.io.Writer getWriter()

### setReceiver

    public void setReceiver(XMLWriter receiver)

### reset

    public void reset()

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator arg0)

  Specified by:
    `setDocumentLocator` in interface `org.xml.sax.ContentHandler`

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Specified by:
    `startDocument` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String namespaceURI)
                            throws org.xml.sax.SAXException

  Specified by:
    `startPrefixMapping` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix)
                          throws org.xml.sax.SAXException

  Specified by:
    `endPrefixMapping` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qname,
                             org.xml.sax.Attributes attribs)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### startElement

    public void startElement(QName qname,
                             AttrList attribs)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qname)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(QName qname)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### attribute

    public void attribute(QName qname,
                          java.lang.String value)
                   throws org.xml.sax.SAXException

  Specified by:
    `attribute` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] ch,
                           int start,
                           int len)
                    throws org.xml.sax.SAXException

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(java.lang.CharSequence seq)
                    throws org.xml.sax.SAXException

  Specified by:
    `characters` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int len)
                             throws org.xml.sax.SAXException

  Specified by:
    `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  Specified by:
    `processingInstruction` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### cdataSection

    public void cdataSection(char[] ch,
                             int start,
                             int len)
                      throws org.xml.sax.SAXException

  Specified by:
    `cdataSection` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### skippedEntity

    public void skippedEntity(java.lang.String arg0)
                       throws org.xml.sax.SAXException

  Specified by:
    `skippedEntity` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### startDTD

    public void startDTD(java.lang.String arg0,
                         java.lang.String arg1,
                         java.lang.String arg2)
                  throws org.xml.sax.SAXException

  Specified by:
    `startDTD` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### endDTD

    public void endDTD()
                throws org.xml.sax.SAXException

  Specified by:
    `endDTD` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### documentType

    public void documentType(java.lang.String name,
                             java.lang.String publicId,
                             java.lang.String systemId)
                      throws org.xml.sax.SAXException

  Specified by:
    `documentType` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### startEntity

    public void startEntity(java.lang.String arg0)
                     throws org.xml.sax.SAXException

  Specified by:
    `startEntity` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### endEntity

    public void endEntity(java.lang.String arg0)
                   throws org.xml.sax.SAXException

  Specified by:
    `endEntity` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### startCDATA

    public void startCDATA()
                    throws org.xml.sax.SAXException

  Specified by:
    `startCDATA` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### endCDATA

    public void endCDATA()
                  throws org.xml.sax.SAXException

  Specified by:
    `endCDATA` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### comment

    public void comment(char[] ch,
                        int start,
                        int len)
                 throws org.xml.sax.SAXException

  Specified by:
    `comment` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

Copyright (C) Wolfgang Meier. All rights reserved.